Bug 1008444 - confusing message when removing packages
confusing message when removing packages
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 07:27 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:56 EST (History)
5 users (show)

See Also:
Fixed In Version: dnf-0.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 03:14:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2013-09-16 07:27:24 EDT
Description of problem:

Running dnf remove <somepkg> results in the following output:

Installed size: 3.2 M
Is this ok [y/N]: y
Downloading Packages:  <--- This line is highly suspicious
Running Transaction Check


- why it prints "Downloading packages" when I actually want it to remove packages?

Version-Release number of selected component (if applicable):
dnf-0.3.11-2.git54f55e0.fc19.noarch


How reproducible:
100%

Steps to Reproduce:
1. dnf remove systemd\*
2.
3.

Actual results:
prints Downloading packages

Expected results:
no "Downloading packages" msg

Additional info:
Might be very confusing for not experienced hardcore admins
Comment 1 Ales Kozumplik 2013-09-16 07:46:08 EDT
Thanks Jiri. DNF commit 7b96936 deals with it, the fix should be included in dnf-0.4.1.
Comment 2 Fedora Update System 2013-09-16 09:41:05 EDT
dnf-0.4.1-1.git55e6369.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.1-1.git55e6369.fc20
Comment 3 Fedora Update System 2013-09-16 12:15:12 EDT
Package dnf-0.4.1-1.git55e6369.fc20, librepo-1.1.0-1.fc20, hawkey-0.4.1-1.git6f35513.fc20, libcomps-0.1.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.1-1.git55e6369.fc20 librepo-1.1.0-1.fc20 hawkey-0.4.1-1.git6f35513.fc20 libcomps-0.1.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16868/librepo-1.1.0-1.fc20,hawkey-0.4.1-1.git6f35513.fc20,libcomps-0.1.3-5.fc20,dnf-0.4.1-1.git55e6369.fc20
then log in and leave karma (feedback).
Comment 4 Ales Kozumplik 2013-10-25 03:14:03 EDT
dnf-0.4.1 has been pushed and superseded. Closing this.

Note You need to log in before you can comment on or make changes to this bug.